OnDemand: System Requirements

We highly recommend that you test your training computer(s) on our OnDemand training system by trying our OnDemand Course Demos at http://www.sans.org/ondemand/demos.php This step will allow you to pre-evaluate how the OnDemand system will work for you and also allow you to report any compatibility issues you may experience prior to beginning your training.

Students must use a compatible Operating System and Web Browser to access the SANS OnDemand online training system.

The following Operating System and Web Browser combinations provide a Java-free, HTML5 OnDemand course platform:

  • Windows: Chrome, Firefox 4+, Internet Explorer 9+
  • Mac OS X: Chrome, Firefox 4+, Safari 5+
  • iPad iOS (5.0+): Mobile Safari 5.1+
  • Android 3.x: Firefox 10+

The older versions of Firefox and Safari should work; however if you experience any issues with older web browsers, we highly recommend that you upgrade to one of the above web browser versions.

The following Operating System and Web Browser combination provide a Java-based OnDemand course platform:

  • Windows: Internet Explorer 8

Internet Explorer 8 must be configured to enable Java and JavaScript. In addition, you must have a recent version of Java installed and have Java applet support activated for your web browser (i.e. through the advanced settings in Java control panel). Visit http://java.com to download and test your Java software.

If you experience problems with the functionality of the OnDemand platform while viewing your course, we recommend that you switch to one of the above HTML5-based browsers.

You must set your browser to allow pop-ups from ondemand.sans.org in order for the course videos to load automatically in the slide panel, and for the course evaluation at the end of each Section to automatically open in a new window or tab.

Other software may be needed to view course handouts of certain formats; some of the more common file formats that may be used are .pdf, .xls, .zip